<template>
  <div class="view">
    <div class="content">
      <div class="list">
        <div class="title">
          <span>Проекты</span>
        </div>
        <ul>
          <li v-for="project in projects" :key="project.id">
            <span class="task-name">{{project.name}}</span>
            <button class="removeBtn" @click="remove(project)"><i class="fa fa-trash-o"></i></button>
          </li>
        </ul>
        <div class="flex flex-row items-stretch content-center mt-4 p-2">
          <div class="flex-1 mr-4">
             <input v-model="projectName" class="appearance-none border rounded w-full text-gray-700 p-2 leading-tight focus:outline-none focus:shadow-outline" type="text">
          </div>
          <button @click="addProject" class="bg-blue-400 hover:bg-blue-dark text-white font-bold px-4 rounded focus:outline-none focus:shadow-outline">Добавить</button>
        </div>

      </div>
    </div>
  </div>
</template>

<script>
  import * as uuid from 'uuid';

  export default {
    data() {
      return {
        projectName: '',
      };
    },
    computed: {
      projects() {
        return this.$store.state.projects;
      },
    },
    methods: {
      remove(project) {
        this.$store.dispatch('removeProject', project.id);
      },
      addProject() {
        const newProject = {
          id: uuid(),
          name: this.projectName,
          tasks: [],
        };
        this.$store.dispatch('addProject', newProject);
        this.projectName = '';
      },
    },
  };
</script>
